<!doctype html>
<html lang="en">
    <head>
        <title>{% block title %}Welcome to the SpaceBar{% endblock %}</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        {% block stylesheets %}
            <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
            <link rel="stylesheet" href="{{ asset('/css/font-awesome.css') }}">
            <link rel="stylesheet" href="{{ asset('/css/styles.css') }}">
        {% endblock %}
    </head>
    <body>
        {% if is_granted('ROLE_PREVIOUS_ADMIN') %}
            <div class="alert alert-warning" style="margin-bottom: 0;">
                You are currently switched to this user.
                <a href="{{ path('article_index', {'_switch_user': '_exit'}) }}">Exit Impersonation</a>
            </div>
        {% endif %}
        <nav class="navbar navbar-expand-lg navbar-dark navbar-bg {{ app.session.flashbag.peek('success')|length > 0 ? '' : 'mb-5' }}">
            <a style="margin-left: 75px;" class="navbar-brand space-brand" href="{{ path('article_index') }}">The Space Bar</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav mr-auto">
                     <li class="nav-item">
                       <a style="color: #fff;" class="nav-link" href="#">Local Asteroids</a>
                     </li>
                     <li class="nav-item">
                       <a style="color: #fff;" class="nav-link" href="#">Weather</a>
                     </li>
                   </ul>
                <form class="form-inline my-2 my-lg-0">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-info my-2 my-sm-0" type="submit">Search</button>
                </form>

                <ul class="navbar-nav ml-auto">
               
                {% if is_granted('ROLE_USER')%}
                    <li class="nav-item dropdown" style="margin-right: 75px;">
                        <a class="nav-link dropdown-toggle" href="http://example.com" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <img class="nav-profile-img rounded-circle" src="{{ app.user.avatarUrl(100)}}">
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                            <a class="dropdown-item" href="{{ path('app_account')}}">Profile</a>
                            {% if is_granted('ROLE_ADMIN_ARTICLE')%}
                                <a class="dropdown-item" href="{{ path('admin_article_new')}}">Create Post</a>
                            {% endif %}
                            <a class="dropdown-item" href="{{ path('app_logout')}}">Logout</a>
                        </div>
                    </li>
                {% else %}
                    <a style="color: #fff;" class="nav-link" href="{{ path('app_login')}}">Login</a>
                    <a style="color: #fff;" class="nav-link" href="{{ path('app_register')}}">Register</a>
                {% endif %}
                </ul>
            </div>
        </nav>

        {% for message in app.flashes('success') %}
            <div class="alert alert-success">
                {{ message }}
            </div>
        {% endfor %}

        {% block body %}{% endblock %}
        <footer class="footer">
            <div class="container text-center">
                <span class="text-muted">Made with <i class="fa fa-heart" style="color: red;"></i> by the guys and gals at <a href="https://knpuniversity.com">KnpUniversity</a></span>
            </div>
        </footer>
        {% block javascripts %}
            <script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
            <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>
            <script>
                $('.dropdown-toggle').dropdown();
            </script>
        {% endblock %}
    </body>
</html>